<?xml version="1.0" encoding="windows-1250"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="ProcessTermVectors"
	ProjectGUID="{4099C45A-4682-48F3-90A6-2F9370B221F0}"
	RootNamespace="ProcessTermVectors"
	Keyword="Win32Proj"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../include"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="clucene-coreUDMT.lib"
				LinkIncremental="2"
				AdditionalLibraryDirectories="../lib"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../include"
				PreprocessorDefinitions="_WIN64;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;__x64__;_DONT_USE_STACK_GUARD"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="opencl.lib clucene-coreUDMT.x64.lib"
				LinkIncremental="2"
				AdditionalLibraryDirectories="../lib"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories="../include"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="clucene-coreUMT.lib"
				LinkIncremental="1"
				AdditionalLibraryDirectories="../lib"
				GenerateDebugInformation="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="true"
				FavorSizeOrSpeed="1"
				AdditionalIncludeDirectories="../include"
				PreprocessorDefinitions="_WIN64;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;__x64__;_DONT_USE_STACK_GUARD"
				StringPooling="true"
				RuntimeLibrary="2"
				BufferSecurityCheck="false"
				EnableFunctionLevelLinking="true"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="opencl.lib clucene-coreUMT.x64.lib"
				LinkIncremental="1"
				AdditionalLibraryDirectories="../lib"
				GenerateDebugInformation="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\CLKernel_v3.c"
				>
				<FileConfiguration
					Name="Debug|x64"
					ExcludedFromBuild="true"
					>
					<Tool
						Name="VCCLCompilerTool"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|x64"
					ExcludedFromBuild="true"
					>
					<Tool
						Name="VCCLCompilerTool"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\DocReader.cpp"
				>
			</File>
			<File
				RelativePath=".\DocSplitter.cpp"
				>
			</File>
			<File
				RelativePath=".\Main.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\ChunkProducer.h"
				>
			</File>
			<File
				RelativePath="..\include\CLucene.h"
				>
			</File>
			<File
				RelativePath=".\DocReader.h"
				>
			</File>
			<File
				RelativePath=".\DocSplitter.h"
				>
			</File>
			<File
				RelativePath=".\GPU_Allocator.h"
				>
			</File>
			<File
				RelativePath=".\GPU_RI_Memory.h"
				>
			</File>
			<File
				RelativePath=".\LRU_K.h"
				>
			</File>
			<File
				RelativePath=".\PageAllocator.h"
				>
			</File>
		</Filter>
		<Filter
			Name="UberLame_src"
			>
			<Filter
				Name="Header Files"
				>
				<File
					RelativePath="..\..\UberLame_src\BitArray.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Buffer.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\CallStack.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Dir.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Hash.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Integer.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Mersene.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\StlUtils.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Thread.h"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Timer.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Source Files"
				>
				<File
					RelativePath="..\..\UberLame_src\BitArray.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Buffer.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\CallStack.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Dir.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Hash.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Mersene.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\StlUtils.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Thread.cpp"
					>
				</File>
				<File
					RelativePath="..\..\UberLame_src\Timer.cpp"
					>
				</File>
			</Filter>
			<Filter
				Name="gpgpu"
				>
				<Filter
					Name="Source Files"
					>
					<File
						RelativePath="..\..\UberLame_src\gpgpu\ClUtils.cpp"
						>
					</File>
				</Filter>
				<Filter
					Name="Header Files"
					>
					<File
						RelativePath="..\..\UberLame_src\gpgpu\ClUtils.h"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
